/**
 * @external
 */ /** */
import DataIntervalTree, { Interval } from "node-interval-tree";
export interface UnicodeCharGroup {
    name: string;
    alias?: string;
    intervals: Interval[];
    displayName: string;
}
export interface UnicodeLookup {
    allBlocks: DataIntervalTree<UnicodeCharGroup>;
    allCategories: DataIntervalTree<UnicodeCharGroup>;
    allScripts: DataIntervalTree<UnicodeCharGroup>;
    blocks: Map<string, UnicodeCharGroup>;
    categories: Map<string, UnicodeCharGroup>;
    scripts: Map<string, UnicodeCharGroup>;
    longCategoryToCode: Map<string, string>;
}
export declare const lookup: UnicodeLookup;
