/** @module char-info/unicode
 * */
/**
 * Unicode block names.
 */
export declare namespace UnicodeBlock {
    const AlphabeticPresentationForms = "AlphabeticPresentationForms";
    const Arabic = "Arabic";
    const ArabicExtendedA = "ArabicExtendedA";
    const ArabicPresentationFormsA = "ArabicPresentationFormsA";
    const ArabicPresentationFormsB = "ArabicPresentationFormsB";
    const ArabicSupplement = "ArabicSupplement";
    const Armenian = "Armenian";
    const Arrows = "Arrows";
    const Balinese = "Balinese";
    const Bamum = "Bamum";
    const BasicLatin = "BasicLatin";
    const Batak = "Batak";
    const BlockElements = "BlockElements";
    const Bopomofo = "Bopomofo";
    const BopomofoExtended = "BopomofoExtended";
    const BoxDrawing = "BoxDrawing";
    const BraillePatterns = "BraillePatterns";
    const Buginese = "Buginese";
    const Buhid = "Buhid";
    const CJKCompatibility = "CJKCompatibility";
    const CJKCompatibilityForms = "CJKCompatibilityForms";
    const CJKCompatibilityIdeographs = "CJKCompatibilityIdeographs";
    const CJKRadicalsSupplement = "CJKRadicalsSupplement";
    const CJKStrokes = "CJKStrokes";
    const CJKSymbolsAndPunctuation = "CJKSymbolsandPunctuation";
    const CJKUnifiedIdeographs = "CJKUnifiedIdeographs";
    const CJKUnifiedIdeographsExtensionA = "CJKUnifiedIdeographsExtensionA";
    const Cham = "Cham";
    const Cherokee = "Cherokee";
    const CherokeeSupplement = "CherokeeSupplement";
    const CombiningDiacriticalMarks = "CombiningDiacriticalMarks";
    const CombiningDiacriticalMarksExtended = "CombiningDiacriticalMarksExtended";
    const CombiningDiacriticalMarksSupplement = "CombiningDiacriticalMarksSupplement";
    const CombiningDiacriticalMarksforSymbols = "CombiningDiacriticalMarksforSymbols";
    const CombiningHalfMarks = "CombiningHalfMarks";
    const CommonIndicNumberForms = "CommonIndicNumberForms";
    const ControlPictures = "ControlPictures";
    const Coptic = "Coptic";
    const CurrencySymbols = "CurrencySymbols";
    const Cyrillic = "Cyrillic";
    const CyrillicExtendedA = "CyrillicExtendedA";
    const CyrillicExtendedB = "CyrillicExtendedB";
    const CyrillicExtendedC = "CyrillicExtendedC";
    const CyrillicSupplement = "CyrillicSupplement";
    const Devanagari = "Devanagari";
    const DevanagariExtended = "DevanagariExtended";
    const Dingbats = "Dingbats";
    const EnclosedAlphanumerics = "EnclosedAlphanumerics";
    const EnclosedCJKLettersAndMonths = "EnclosedCJKLettersandMonths";
    const Ethiopic = "Ethiopic";
    const EthiopicExtended = "EthiopicExtended";
    const EthiopicExtendedA = "EthiopicExtendedA";
    const EthiopicSupplement = "EthiopicSupplement";
    const GeneralPunctuation = "GeneralPunctuation";
    const GeometricShapes = "GeometricShapes";
    const Georgian = "Georgian";
    const GeorgianSupplement = "GeorgianSupplement";
    const Glagolitic = "Glagolitic";
    const GreekExtended = "GreekExtended";
    const GreekAndCoptic = "GreekandCoptic";
    const Gujarati = "Gujarati";
    const Gurmukhi = "Gurmukhi";
    const HalfwidthAndFullwidthForms = "HalfwidthandFullwidthForms";
    const HangulCompatibilityJamo = "HangulCompatibilityJamo";
    const HangulJamo = "HangulJamo";
    const HangulJamoExtendedA = "HangulJamoExtendedA";
    const HangulJamoExtendedB = "HangulJamoExtendedB";
    const HangulSyllables = "HangulSyllables";
    const Hanunoo = "Hanunoo";
    const Hebrew = "Hebrew";
    const HighPrivateUseSurrogates = "HighPrivateUseSurrogates";
    const HighSurrogates = "HighSurrogates";
    const Hiragana = "Hiragana";
    const IPAExtensions = "IPAExtensions";
    const IdeographicDescriptionCharacters = "IdeographicDescriptionCharacters";
    const Javanese = "Javanese";
    const Kanbun = "Kanbun";
    const KangxiRadicals = "KangxiRadicals";
    const Kannada = "Kannada";
    const Katakana = "Katakana";
    const KatakanaPhoneticExtensions = "KatakanaPhoneticExtensions";
    const KayahLi = "KayahLi";
    const Khmer = "Khmer";
    const KhmerSymbols = "KhmerSymbols";
    const Lao = "Lao";
    const LatinExtendedAdditional = "LatinExtendedAdditional";
    const LatinExtendedA = "LatinExtendedA";
    const LatinExtendedB = "LatinExtendedB";
    const LatinExtendedC = "LatinExtendedC";
    const LatinExtendedD = "LatinExtendedD";
    const LatinExtendedE = "LatinExtendedE";
    const Latin1Supplement = "Latin1Supplement";
    const Lepcha = "Lepcha";
    const LetterlikeSymbols = "LetterlikeSymbols";
    const Limbu = "Limbu";
    const Lisu = "Lisu";
    const LowSurrogates = "LowSurrogates";
    const Malayalam = "Malayalam";
    const MAndaic = "Mandaic";
    const MathematicalOperators = "MathematicalOperators";
    const MeeteiMayek = "MeeteiMayek";
    const MeeteiMayekExtensions = "MeeteiMayekExtensions";
    const MiscellaneousMathematicalSymbolsA = "MiscellaneousMathematicalSymbolsA";
    const MiscellaneousMathematicalSymbolsB = "MiscellaneousMathematicalSymbolsB";
    const MiscellaneousSymbols = "MiscellaneousSymbols";
    const MiscellaneousSymbolsAndArrows = "MiscellaneousSymbolsandArrows";
    const MiscellaneousTechnical = "MiscellaneousTechnical";
    const ModifierToneLetters = "ModifierToneLetters";
    const Mongolian = "Mongolian";
    const Myanmar = "Myanmar";
    const MyanmarExtendedA = "MyanmarExtendedA";
    const MyanmarExtendedB = "MyanmarExtendedB";
    const NKo = "NKo";
    const NewTaiLue = "NewTaiLue";
    const NumberForms = "NumberForms";
    const Ogham = "Ogham";
    const OlChiki = "OlChiki";
    const OpticalCharacterRecognition = "OpticalCharacterRecognition";
    const Oriya = "Oriya";
    const Phagspa = "Phagspa";
    const PhoneticExtensions = "PhoneticExtensions";
    const PhoneticExtensionsSupplement = "PhoneticExtensionsSupplement";
    const PrivateUseArea = "PrivateUseArea";
    const Rejang = "Rejang";
    const Runic = "Runic";
    const Samaritan = "Samaritan";
    const Saurashtra = "Saurashtra";
    const Sinhala = "Sinhala";
    const SmallFormVariants = "SmallFormVariants";
    const SpacingModifierLetters = "SpacingModifierLetters";
    const Specials = "Specials";
    const Sundanese = "Sundanese";
    const SundaneseSupplement = "SundaneseSupplement";
    const SuperscriptsAndSubscripts = "SuperscriptsandSubscripts";
    const SupplementalArrowsA = "SupplementalArrowsA";
    const SupplementalArrowsB = "SupplementalArrowsB";
    const SupplementalMathematicalOperators = "SupplementalMathematicalOperators";
    const SupplementalPunctuation = "SupplementalPunctuation";
    const SylotiNagri = "SylotiNagri";
    const Syriac = "Syriac";
    const Tagalog = "Tagalog";
    const Tagbanwa = "Tagbanwa";
    const TaiLe = "TaiLe";
    const TaiTham = "TaiTham";
    const TaiViet = "TaiViet";
    const Tamil = "Tamil";
    const Telugu = "Telugu";
    const Thaana = "Thaana";
    const Thai = "Thai";
    const Tibetan = "Tibetan";
    const Tifinagh = "Tifinagh";
    const UnifiedCanadianAboriginalSyllabics = "UnifiedCanadianAboriginalSyllabics";
    const UnifiedCanadianAboriginalSyllabicsExtended = "UnifiedCanadianAboriginalSyllabicsExtended";
    const Vai = "Vai";
    const VariationSelectors = "VariationSelectors";
    const VedicExtensions = "VedicExtensions";
    const VerticalForms = "VerticalForms";
    const YiRadicals = "YiRadicals";
    const YiSyllables = "YiSyllables";
    const YijingHexagramSymbols = "YijingHexagramSymbols";
}
